Summary: An Internet name server.
Name: bind
Version: 9.2.1
Release: 1
Group: Networking/Daemons
Copyright: BSD
Url: http://www.isc.org/bind.html
Packager: Hao Li <hli@haoli.org>
Source0: ftp://ftp.isc.org/isc/bind9/%{srcver}/bind-%{version}.tar.gz
Source1: http://www.nominum.com/resources/documentation/Bv9ARM.pdf
Source3: named.init
Source4: ftp://FTP.RS.INTERNIC.NET/domain/named.root
Source5: named.local
Source6: named.conf
Buildroot: /var/tmp/%{name}-root
Obsoletes: bind-utils, bind-devel

%description
Bind includes the named name server, which resolves host names to IP
addresses (and vice versa), and a resolver library (a set of routines
in a system library that provide the interface for programs to use when
accessing domain name services).  A name server is a network service which
enables clients to name resources or objects and share this information
with other network machines.  The named name server can be used on
workstations as a caching name server, but is generally only needed on
one machine for an entire network.


%prep
%setup -q
install -m644 -p %{SOURCE1} .


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var \
	--enable-threads \
	--with-openssl=/usr \
	--with-libtool
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/usr/lib/*.so.*

# SysV init script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/named

# Configurations for caching only name server
mkdir -p $RPM_BUILD_ROOT/var/named
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/var/named/named.ca
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/var/named/named.local
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/etc/named.conf


%post
/sbin/chkconfig --add named

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del named
fi


%files
%defattr(-,root,root)
%doc Bv9ARM.pdf CHANGES COPYRIGHT FAQ README
%doc doc/{arm,draft,misc,rfc}
%config /etc/named.conf
%config /etc/rc.d/init.d/named
%dir    /var/named
%config /var/named/named.ca
%config /var/named/named.local
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT

